#ifndef __IO_H__
#define __IO_H__

#include <stdio.h>
#include "cmdln.h"
#include "types.h"

#define IOL_DEFAULT      3

#define IOL_ERROR        0x00000001
#define IOL_WARN         0x00000002
#define IOL_DFLT         0x00000004
#define IOL_INFO         0x00000008
#define IOL_XNFO         0x00000010
#define IOL_DEB1         0x00000020
#define IOL_LEVEL_MASK   0x000000FF

#define IOL_NOID         0x00000100

#define IOL_SCOPE_START  0x00010000
#define IOL_SCOPE_END    0x00020000

class io_class{
  FILE *f;
  int sock;
  byte iocmd;
  int verb,level_mask;
public:
  io_class(void);
  io_class(int,byte,cmdln&);
  io_class(cmdln&);
  ~io_class(void);
  int msg(int,const char*,...);
};

#endif
