#ifndef __TYPES_H__  // __TYPES_H__
#define __TYPES_H__

typedef unsigned char byte;
typedef unsigned char uint08_t;
typedef char int08_t;
typedef short int int16_t;
typedef unsigned short int uint16_t;
typedef int int32_t;
typedef long int int64_t;
typedef unsigned long int uint64_t;
typedef float float32_t;
typedef double float64_t;

typedef float64_t fp_t;  // the default floating point type

struct complex{
  fp_t re;
  fp_t im;
};
typedef struct complex complex_t;

#endif               // __TYPES_H__
